Vla-put-pickadd

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-pickadd vla-object bool )


機能
[Shift]を使用してオブジェクトを選択セットに追加するかどうかを決定する。


引数
  • vla-object … PreferencesSelection のVLAオブジェクト
  • bool … ブール型
  •  :vlax-True: [Shift]を押したまま選択することにより、オブジェクトを現在の選択セットに追加する。
  •  :vlax-False: [Shift]を押したまま選択することにより、オブジェクトを選択セットから削除する。


戻り値
nil


  • MEMO: このプロパティの初期値は False。
  • 注 : このプロパティの値は、システム変数 PICKADD に格納される。


サンプル
(vl-load-com)
(defun c:Example_PickAdd()
    ;; オブジェクトをSHIFT キーを使用してセットに追加するかどうかを制御する設定値を変更するサンプル。
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
  
    ;; 現在の設定を取得
    (setq originalValue (vla-get-PickAdd (vla-get-Selection preferences)))
    (alert (strcat "現在の PickAdd 値は : " (if (= originalValue :vlax-true) "True" "False")))

    ;; 変更
    (vla-put-PickAdd (vla-get-Selection preferences) (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-PickAdd (vla-get-Selection preferences)))
    (alert (strcat "新しい PickAdd 値は : " (if (= newValue :vlax-true) "True" "False")))

    ;; 戻す
    (vla-put-PickAdd (vla-get-Selection preferences) originalValue)
    (alert (strcat "PickAdd 値を次に戻しました: " (if (= originalValue :vlax-true) "True" "False")))
)

; LISPなら setvar でやったほうがいいわな
(setvar "pickadd" 0)


関連事項